<?php


//* Remove the entry meta in the entry footer (requires HTML5 theme support)
remove_action( 'genesis_entry_footer', 'genesis_post_meta' );


remove_action( 'genesis_loop', 'genesis_do_loop' );
add_action( 'genesis_loop', 'dc_grid_loop_helper' );







/** Add the home featured section */
add_action( 'genesis_before_loop', 'dc_home_featured' );
function dc_home_featured() {

    /** Do nothing on page 2 or greater */
    if ( get_query_var( 'paged' ) >= 2 ||  is_archive() ||  is_single() ||  is_page() )
        return;

    genesis_widget_area( 'home-featured', array(
    'before' => '<div class="home-featured widget-area">',
    'after' => '</div>',
    ) );

}




/** Add support for Genesis Grid Loop */
function dc_grid_loop_helper() {





	if ( function_exists( 'genesis_grid_loop' ) ) {
		genesis_grid_loop( array(
			'features' => 0,
			'feature_image_size' => 0,
			'feature_image_class' => 'alignleft post-image',
			'feature_content_limit' => 800,
			'grid_image_size'		=> 'grid-thumbnail',
			'grid_image_class'		=> 'alignnone',
			'grid_content_limit' => 300,
			'more' => __( '[Continue reading]', 'genesis' ),
			'posts_per_page' => 6,
		) );
	} else {
		genesis_standard_loop();
	}

}

genesis();